Hardware & Software Requirements Hardware If you are not on at least Medisoft Version 19 you might need some hardware upgrades: www.microwize.com/medisoft/medisoft-system-requirements.htm Software Make sure your Medisoft is version 19 or 20 Make sure you are sending electronic claims using … Continue reading